//
//  EditComponent.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 24/05/2024.
//

import SwiftUI

struct EditTextComponent: View {
    let explanation : String
    @State private var name : String
    init(explanation: String, value: String) {
        self.explanation = explanation
        self.name = value
    }
    var body: some View {
        Form {
            Section(header : Text(explanation)) {
                TextField(name, text : $name)
            }
        }
    }
}

struct EditTextComponent_Previews: PreviewProvider {
    static var previews: some View {
        EditTextComponent(explanation: "Nom du Joueur 1", value: "Joueur 1")
    }
}
